/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.orkut.model;

import com.google.api.client.json.GenericJson;
import com.google.api.client.json.JsonString;

/**
 * Model definition for Badge.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Orkut API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Badge extends GenericJson {

  /**
   * The URL for the 64x64 badge logo.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String badgeLargeLogo;

  /**
   * The URL for the 24x24 badge logo.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String badgeSmallLogo;

  /**
   * The name of the badge, suitable for display.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String caption;

  /**
   * The description for the badge, suitable for display.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String description;

  /**
   * The unique ID for the badge.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key @JsonString
  private Long id;

  /**
   * Identifies this resource as a badge. Value: "orkut#badge"
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The URL for the 32x32 badge sponsor logo.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String sponsorLogo;

  /**
   * The name of the badge sponsor, suitable for display.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String sponsorName;

  /**
   * The URL for the badge sponsor.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String sponsorUrl;

  /**
   * The URL for the 64x64 badge logo.
   * The value returned may be {@code null}.
   */
  public String getBadgeLargeLogo() {
    return badgeLargeLogo;
  }

  /**
   * The URL for the 64x64 badge logo.
   * The value set may be {@code null}.
   */
  public Badge setBadgeLargeLogo(String badgeLargeLogo) {
    this.badgeLargeLogo = badgeLargeLogo;
    return this;
  }

  /**
   * The URL for the 24x24 badge logo.
   * The value returned may be {@code null}.
   */
  public String getBadgeSmallLogo() {
    return badgeSmallLogo;
  }

  /**
   * The URL for the 24x24 badge logo.
   * The value set may be {@code null}.
   */
  public Badge setBadgeSmallLogo(String badgeSmallLogo) {
    this.badgeSmallLogo = badgeSmallLogo;
    return this;
  }

  /**
   * The name of the badge, suitable for display.
   * The value returned may be {@code null}.
   */
  public String getCaption() {
    return caption;
  }

  /**
   * The name of the badge, suitable for display.
   * The value set may be {@code null}.
   */
  public Badge setCaption(String caption) {
    this.caption = caption;
    return this;
  }

  /**
   * The description for the badge, suitable for display.
   * The value returned may be {@code null}.
   */
  public String getDescription() {
    return description;
  }

  /**
   * The description for the badge, suitable for display.
   * The value set may be {@code null}.
   */
  public Badge setDescription(String description) {
    this.description = description;
    return this;
  }

  /**
   * The unique ID for the badge.
   * The value returned may be {@code null}.
   */
  public Long getId() {
    return id;
  }

  /**
   * The unique ID for the badge.
   * The value set may be {@code null}.
   */
  public Badge setId(Long id) {
    this.id = id;
    return this;
  }

  /**
   * Identifies this resource as a badge. Value: "orkut#badge"
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies this resource as a badge. Value: "orkut#badge"
   * The value set may be {@code null}.
   */
  public Badge setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The URL for the 32x32 badge sponsor logo.
   * The value returned may be {@code null}.
   */
  public String getSponsorLogo() {
    return sponsorLogo;
  }

  /**
   * The URL for the 32x32 badge sponsor logo.
   * The value set may be {@code null}.
   */
  public Badge setSponsorLogo(String sponsorLogo) {
    this.sponsorLogo = sponsorLogo;
    return this;
  }

  /**
   * The name of the badge sponsor, suitable for display.
   * The value returned may be {@code null}.
   */
  public String getSponsorName() {
    return sponsorName;
  }

  /**
   * The name of the badge sponsor, suitable for display.
   * The value set may be {@code null}.
   */
  public Badge setSponsorName(String sponsorName) {
    this.sponsorName = sponsorName;
    return this;
  }

  /**
   * The URL for the badge sponsor.
   * The value returned may be {@code null}.
   */
  public String getSponsorUrl() {
    return sponsorUrl;
  }

  /**
   * The URL for the badge sponsor.
   * The value set may be {@code null}.
   */
  public Badge setSponsorUrl(String sponsorUrl) {
    this.sponsorUrl = sponsorUrl;
    return this;
  }

}
